### Method

# GLib MainContext remove_poll

#### Declaration [src]

    void
    g_main_context_remove_poll (
      GMainContext* context,
      GPollFD* fd
    )

#### Description [src]

Removes file descriptor from the set of file descriptors to be polled for a particular context.

#### Parameters

`context`

  Type: `GMainContext`

  A main context (if `NULL`, the global-default main context will be used).

  The argument can be `NULL`.

`fd`

  Type: `GPollFD`

  A `GPollFD` descriptor previously added with `g_main_context_add_poll()`.

  The data is owned by the caller of the method.